ArcGis 100.9 fails build in Xcode 12.3

2000
11
12-15-2020 12:01 AM
Selsoe
by
New Contributor II

I upgraded Xcode from 12.2 to Xcode 12.3 and after upgrading, the build fails on the ArcGis framework with this message:

"Building for iOS Simulator, but the linked and embedded framework 'ArcGIS.framework' was built for iOS + iOS Simulator."

Here's a Stackoverflow thread on the issue (not ArcGIS specific though):

https://stackoverflow.com/questions/63607158/xcode-12-building-for-ios-simulator-but-linking-in-obje...

Also, you might want to consider distributing XCFramework files to be able to support multiple architectures properly.

 

0 Kudos
11 Replies
InterPro
New Contributor II

I was able to solve this by going to Project -> Build Settings -> Exclude Architectures and add "arm64" to "Debug", "Distribution" and "Release" for "Any iOS Simulator SDK".

 

 

DiveshGoyal
Esri Regular Contributor

Just to follow up on this, ArcGIS Runtime 100.10 (update 10) was released last month. It uses the XCFramework format and works well with Xcode 12.3. 

0 Kudos